Bug 1014304 - Online account selection dialog is empty and 'Cancel' button doesn't work
Summary: Online account selection dialog is empty and 'Cancel' button doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jasper St. Pierre
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F20BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-10-01 17:10 UTC by Adam Williamson
Modified: 2013-11-09 04:25 UTC (History)
6 users (show)

Fixed In Version: gnome-initial-setup-3.10.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-09 04:25:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 710081 None None None Never
Red Hat Bugzilla 1027507 None None None Never

Internal Links: 1027507

Description Adam Williamson 2013-10-01 17:10:38 UTC
I built a live image containing today's F20 repo contents. When gnome-initial-setup reaches the 'Connect to your existing data in the cloud' screen, if you click 'Add Account', the listbox in the dialog that opens is empty (it should display all the various account types you can add). The Cancel button does not work; you can only close the dialog by hitting Esc.

The 'same' dialog works fine in Control Center once g-i-s is complete: open Settings, click Online Accounts, click "Add an online account" and all is good.

gnome-initial-setup-3.10.0.1-1.fc20.x86_64
accountsservice-libs-0.6.34-2.fc20.x86_64
gnome-online-accounts-3.10.0-2.fc20.x86_64
accountsservice-0.6.34-2.fc20.x86_64

Comment 1 Adam Williamson 2013-10-16 22:56:06 UTC
Still valid in 3.10.1 (though the Cancel button works now).

Comment 2 Adam Williamson 2013-10-16 22:57:22 UTC
Proposing as a Beta freeze exception issue: this is a fairly visible and promoted feature, and can't be fixed with an update for live installs.

Comment 3 Mike Ruckman 2013-10-21 17:14:55 UTC
Discussed this in 2013-10-21 Blocker Review Meeting [1]. Accepted as a freeze exception issue as it's a clearly missing function in a commonly-encountered element that cannot be fully addressed with an update.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-21/

Comment 4 Fedora Update System 2013-11-02 00:42:43 UTC
gnome-initial-setup-3.10.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-initial-setup-3.10.1.1-2.fc20

Comment 5 Fedora Update System 2013-11-02 20:16:54 UTC
Package gnome-initial-setup-3.10.1.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-initial-setup-3.10.1.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20516/gnome-initial-setup-3.10.1.1-2.fc20
then log in and leave karma (feedback).

Comment 6 satellitgo 2013-11-06 01:31:06 UTC
fixed for F20 Beta RC-3 i386 DVD install- Connected to my gmail account

Comment 7 Adam Williamson 2013-11-06 02:01:37 UTC
Yup, fix looked good here too.

Comment 8 Ankur Sinha (FranciscoD) 2013-11-07 01:07:48 UTC
(In reply to Adam Williamson from comment #7)
> Yup, fix looked good here too.

Hate to be the bearer of bad news, but this fix only seems to work if you cancel a google account setup. Cancelling *any* other account setup crashes g-i-s for me. Abrt bug filed.

Steps to reproduce:
- Create new user
- Logout and in as new user
- in g-i-s, reach "add accounts" step
- Click "add"
- Select owncloud/facebook/flickr/windows-live/exchange/other (anything other than google apparently)
- Do nothing, click cancel
- Accounts list dialog disappears and g-i-s crashes

Comment 9 Ankur Sinha (FranciscoD) 2013-11-07 01:09:41 UTC
Please note that canceling when using online accounts from settings later does not cause any crashes.

Comment 10 Adam Williamson 2013-11-07 01:14:21 UTC
I doubt that's really related to the fix for *this* bug. It's just that you had no chance of encountering *that* bug while *this* bug existed (as you couldn't get there).

It's probably a separate bug, to be filed separately. Obviously needs fixing, though.

Comment 11 Fedora Update System 2013-11-09 04:25:45 UTC
gnome-initial-setup-3.10.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.